package holo.bolt.world.map.tile;

public class TileFactory
{
	public static Tile makeTile(int id, float[] pos)
	{
		switch(id)
		{
		case 0:
			return new TileFloor(pos);
		case 1:
			return new TileBrick(pos);
		case 2:
			return new TileHealingWell(pos);
		case 9:
			return new TileLadder(pos);
		default:
			return null;
		}
	}
}
